<?php

/*
Tillefon
Calculate the total number of plays of a SoundCloud user by
accessing the SoundCloud API
then output this number formatted in JSON

You need a SoundCloud user's unique user ID (SCUserID)
and your very own SoundCloud API client ID (SCApiClientID)
that you are given by SoundCloud when you sign up as 
a developer.

URL to find out the number of tracks:
http://api.soundcloud.com/users/Your_SCUserID?client_id=Your_SCApiClientID  

URL to get the long list of every track plus all info bout them:
http://api.soundcloud.com/users/Your_SCUserID/tracks?client_id=Your_SCApiClientID  

Example call to this script:
http://mixedtinkerings.com/tillefon/calcscplays.php?SCUserID=Your_SCUserID&SCApiClientID=Your_SCApiClientID
*/

// Get User ID and SoundCloud Client_ID from URL variables:
$SCApiClientID = $_GET["SCApiClientID"]; 
$SCUserID = $_GET["SCUserID"];

// first, find out how many tracks the user has
$url1 = 'http://api.soundcloud.com/users/'.$SCUserID.'?client_id='.$SCApiClientID;
$obj1 = json_decode(file_get_contents($url1), true);
$numberOfTracks = $obj1['track_count'];

// then get a list of all the tracks from SC
$url2 = 'http://api.soundcloud.com/users/'.$SCUserID.'/tracks?client_id='.$SCApiClientID;
$obj2 = json_decode(file_get_contents($url2), true);

// now for every track count the plays and add them to final variable
$numberOfPlays = 0;
for ($tri = 0; $tri < $numberOfTracks; $tri++) {
	$trackObject = $obj2[$tri];
	$numberOfPlays = $numberOfPlays + $trackObject['playback_count'];
}

// build the array we want to display for the json encoder
$arr = array('total_plays' => $numberOfPlays);

// finally output JSON-formatted result
header('Content-Type: application/json');
echo json_encode($arr);

?>
